declare module 'history'
declare module '*.scss'
declare module '*.png'
declare module '*.jpg'
declare module '*.gif'
declare module '*.svg'
declare module 'js-export-excel'
declare module 'braft-utils'

// public/myData.js 里面的一些数据的类型
declare const baseUrlLoc: string
declare const baseUrlAtl: string
declare const isPcTemp: boolean
declare const myDataTemp: MyDataType
declare const otherUrlTemp: string
declare const myHotInfo: any
declare const apiUrlTemp: string

// 微信浏览器--视频转画布
declare const F_Video: any

type MyDataType = {
  isLdong: boolean
  baseInfo: { title: string; text: string; path: string }[]
  detail_modal: {
    top: { title: string }[]
    bottom: { title: string }[]
  }
  allTxt: { title: string }[]
  mzmtz: { content: string }
  comment: { words: { name: string; define: string }[]; origin: string; translate: string } []
}
